<template>
  <div class="card">
    <img class="picture" :src="require(`@/assets/${image}`)" alt="Sunset in the mountains">
    <div class="caption">
      <div class="title">{{title}}</div>
      <p class="description">
        {{text}}
      </p>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';

export interface IEvent {
  title: string;
  image: string;
  text: string;
}

@Component({
    props: {
    title: { type: String, required: true }, 
    image: { type: String, required: true },
    text: { type: String, required: true },
  }
})
export default class Event extends Vue {
}
</script>

<style lang="postcss" scoped>
.card {
  @apply min-h-64 max-w-sm px-10 mx-auto;
  @apply rounded shadow-lg;
}

.card > .picture {
  @apply w-full h-40;
}

.card > .caption {
  @apply px-4 py-4;
}

.caption > .title {
  @apply font-bold text-xl text-center my-4;
}

.caption > .description {
  @apply text-gray-700 text-base text-xs text-justify;
}

@screen lg {
  .card {
    @apply max-w-full w-64;
  }
}
</style>